# $Id: jpegpixi.spec 3285 2005-06-05 19:56:07Z dag $
# Authority: bert
# Upstream: Martin Dickopp <martin-jpegpixi$zero-based,org>

Summary: JPEG pixel interpolator
Name: jpegpixi
Version: 1.1.1
Release: 5%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://www.zero-based.org/software/jpegpixi/

# Packager: Bert de Bruijn <bert@debruijn.be>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.zero-based.org/software/jpegpixi/jpegpixi-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libjpeg-devel
BuildRequires: gcc

%description
Jpegpixi interpolates pixels in JPEG images (single pixels, dots, 
stripes). This is useful to correct images from a digital camera with 
CCD defects. For example, if one pixel is always bright green, this 
pixel can be interpolated with jpegpixi.


%prep
%setup -q


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}


%clean
%{__rm} -rf %{buildroot}


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README*
%doc %{_mandir}/man1/jpeg*.1*
%{_bindir}/jpeg*


%changelog
* Thu Sep 13 2018 J. Randall Owens <jrowens@deneb.ghiapet.net> - 1.1.1-5
- BuildRequire gcc for F29

* Fri Nov 25 2016 J. Randall Owens <jrowens@ghiapet.net> - 1.1.1-4
- clean up per rpmlint
- more specific License

* Sun Jan  3 2010 J. Randall Owens <jrowens@ghiapet.net> - 1.1.1-2
- rebuild for Fedora 12

* Sat Nov 26 2005 Dag Wieers <dag@wieers.com> - 1.1.1-1 - 3285+/dag
- Updated to release 1.1.1.

* Sat Jun 04 2005 Dag Wieers <dag@wieers.com> - 1.1.0-1
- Updated to release 1.1.0.

* Mon Nov 01 2004 Dag Wieers <dag@wieers.com> - 1.0.3-1
- Updated to release 1.0.3.

* Sat Oct 09 2004 Dag Wieers <dag@wieers.com> - 1.0.2-1
- Updated to release 1.0.2.

* Tue Oct 05 2004 Dag Wieers <dag@wieers.com> - 1.0.1-1
- Updated to release 1.0.1.

* Sun Oct 03 2004 Dag Wieers <dag@wieers.com> - 1.0.0-1
- Updated to release 1.0.0.

* Fri May 07 2004 Dag Wieers <dag@wieers.com> - 0.15.1-1
- Updated to release 0.15.1.

* Mon Apr 19 2004 Bert de Bruijn <bert@debruijn.be> - 0.15.0-1
- Updated to release 0.15.0.

* Sat Mar 06 2004 Bert de Bruijn <bert@debruijn.be> - 0.14.2-1
- Updated to release 0.14.2.

* Thu Apr 24 2003 Bert de Bruijn <bert@debruijn.be> - 0.14-0
- Initial package. (submitted to DAR)
